import {TestBed, async, ComponentFixture} from '@angular/core/testing';

import { AppComponent } from './app.component';
import {AgFaInputComponent} from "./lib/ag-fa-input/ag-fa-input.component";
import {InputRefDirective} from "./lib/common/input-ref.directive";
import {DebugElement} from "@angular/core";
import {By} from "@angular/platform-browser";

describe('AppComponent', () => {

  let component:AppComponent,
      fixture:ComponentFixture<AppComponent>,
      el:DebugElement,
      emailFiled:DebugElement;

    beforeEach(async(() => {
        TestBed.configureTestingModule({
            declarations: [
                AppComponent, AgFaInputComponent, InputRefDirective
            ],
        }).compileComponents();
    }));

    beforeEach(() =>{
      fixture = TestBed.createComponent(AppComponent);
      component = fixture.debugElement.componentInstance;
      el = fixture.debugElement;
      emailFiled = el.query(By.css('#email-field'));
      fixture.detectChanges();
    });

    it('should create the test app', async(() => {
        expect(component).toBeTruthy();
    }));


    it('should create font awasome email input', async(() => {
      expect(emailFiled).toBeTruthy();
    }));

    it('should include the icons font awasome email input', async(() => {
      console.log(emailFiled.nativeElement.outerHTML);
      expect(emailFiled.query(By.css('i.icon.fa.fa-envelope'))).toBeTruthy();
    }));

    it('should include input field in font awasome email input', async(() => {
      expect(emailFiled.query(By.css('input.test-class'))).toBeTruthy();
    }));


});
