import {Component, ContentChild, Input, OnInit, AfterContentInit, HostBinding} from '@angular/core';
import {InputRefDirective} from "../common/input-ref.directive";

@Component({
  selector: 'ag-fa-input',
  templateUrl: './ag-fa-input.component.html',
  styleUrls: ['./ag-fa-input.component.css','./ag-fa-input-green-theme.scss']
})
export class AgFaInputComponent implements AfterContentInit {

  @Input()
  icon:String;

  @ContentChild(InputRefDirective)
  input:InputRefDirective;

  ngAfterContentInit(): void {
    if(!this.input){
      console.error('ag-fa-input component need input inside its content');
    }
  }


  constructor() { }

  @HostBinding('class.input-focus')
  get isInputFocus(){
    return this.input ? this.input.focus : false;
  }

  get classes(){
    const cssClasses = {
        //'fa': true
    };
    if(this.icon){
      cssClasses['fa-'+this.icon] = true;
    }

    return cssClasses;
  }
}
